#include <stdio.h>
#include <stdlib.h>
int funkcija(int a[1000], int br, int n)
{
    int l,pro=1,p,i,j,k,brojac=0;
    if(br<(n/2+1))
    {
        brojac--;
    }
    for(i=0;i<n;i++)
    {
        if(br==a[i])
        pro=0;
    }
    if(pro==1)
    {
        l=n;
        a[l]=br;
        n++;
        brojac++;
    for(i=0;i<n-1;i++)
    {
        for(j=i+1;j<n;j++)
        {
            if(a[i]>a[j])
            {
                p=a[i];
                a[i]=a[j];
                a[j]=p;
            }
        }
    }
    }

    k=0;
    while(br!=a[n/2])
    {
        if(br==a[k])
        {
            l=n;
            a[l]=br;
            n++;
            brojac++;

    for(i=0;i<n-1;i++)
    {
        for(j=i+1;j<n;j++)
        {
            if(a[i]>a[j])
            {
                p=a[i];
                a[i]=a[j];
                a[j]=p;
            }
        }
    }
        }
        k++;
    }

    return brojac;
}
int main()
{
    int n,q,i,j,br;
    scanf("%d%d", &n, &q);
    int b[q];
    int a[1000];

    for(i=0;i<n;i++)
    {
        scanf("%d", &a[i]);
    }

    for(j=0;j<q;j++)
    {
        scanf("%d", &b[j]);
    }

    for(j=0;j<q;j++)
    {
        br=b[j];
        printf("%d\n", funkcija(a,br,n));
    }

    return 0;
}